## python-qt4 4.6.2-maemo20091218.1

=== designer/Makefile ===
#############################################################################
# Makefile for building: libpythonplugin.so
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 20 23:34:59 2009
# Project:  python.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile python.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DPYTHON_LIB=\"libpython2.5.so\" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_SCRIPT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQDESIGNER_EXPORT_WIDGETS -DQT_SHARED
CFLAGS        = -pipe -O2 -O3 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -O2 -O3 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtDesigner -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4/QtXml -I/targets/FREMANTLE_X86/usr/include/qt4/QtScript -I/targets/FREMANTLE_X86/usr/include/qt4 -I/targets/FREMANTLE_X86/usr/include/python2.5 -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -L/usr/lib -lpython2.5 -lQtScript -lQtXml -lQtGui -lQtCore -lQtDesigner -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = pluginloader.cpp moc_pluginloader.cpp
OBJECTS       = pluginloader.o \
		moc_pluginloader.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		python.pro
QMAKE_TARGET  = pythonplugin
DESTDIR       = 
TARGET        = libpythonplugin.so
TARGETD       = libpythonplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: python.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDesigner.prl
	$(QMAKE) -unix -o Makefile python.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/designer.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtScript.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDesigner.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile python.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/pythonplugin1.0.0 || $(MKDIR) .tmp/pythonplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/pythonplugin1.0.0/ && $(COPY_FILE) --parents pluginloader.h .tmp/pythonplugin1.0.0/ && $(COPY_FILE) --parents pluginloader.cpp .tmp/pythonplugin1.0.0/ && (cd `dirname .tmp/pythonplugin1.0.0` && $(TAR) pythonplugin1.0.0.tar pythonplugin1.0.0 && $(COMPRESS) pythonplugin1.0.0.tar) && $(MOVE) `dirname .tmp/pythonplugin1.0.0`/pythonplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/pythonplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_pluginloader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_pluginloader.cpp
moc_pluginloader.cpp: pluginloader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) pluginloader.h -o moc_pluginloader.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

pluginloader.o: pluginloader.cpp pluginloader.h \
		../qpy/QtDesigner/qpydesignercustomwidgetplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pluginloader.o pluginloader.cpp

moc_pluginloader.o: moc_pluginloader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_pluginloader.o moc_pluginloader.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 


install_python: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 
	-$(INSTALL_DIR) /home/maemo/python-qt4-4.6.2/designer/python $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/


uninstall_python:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/python
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 


install:  install_target install_python  FORCE

uninstall: uninstall_target uninstall_python   FORCE

FORCE:

=== qpy/QtCore/Makefile ===
#############################################################################
# Makefile for building: libqpycore.a
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 20 23:34:58 2009
# Project:  w_qpycore.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile w_qpycore.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -O3 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -fno-strict-aliasing -O2 -O2 -O3 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4 -I/targets/FREMANTLE_X86/usr/include/python2.5 -I../../QtCore -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qpycore_chimera.cpp \
		qpycore_chimera_signature.cpp \
		qpycore_chimera_storage.cpp \
		qpycore_init.cpp \
		qpycore_misc.cpp \
		qpycore_post_init.cpp \
		qpycore_pyqtboundsignal.cpp \
		qpycore_pyqtconfigure.cpp \
		qpycore_pyqtproperty.cpp \
		qpycore_pyqtproxy.cpp \
		qpycore_pyqtpyobject.cpp \
		qpycore_pyqtsignal.cpp \
		qpycore_pyqtslot.cpp \
		qpycore_qmetaobject.cpp \
		qpycore_qmetaobject_helpers.cpp \
		qpycore_qobject_helpers.cpp \
		qpycore_qstring.cpp \
		qpycore_qstringlist.cpp \
		qpycore_sip_helpers.cpp \
		qpycore_types.cpp \
		qpycore_qvariant.cpp moc_qpycore_pyqtproxy.cpp
OBJECTS       = qpycore_chimera.o \
		qpycore_chimera_signature.o \
		qpycore_chimera_storage.o \
		qpycore_init.o \
		qpycore_misc.o \
		qpycore_post_init.o \
		qpycore_pyqtboundsignal.o \
		qpycore_pyqtconfigure.o \
		qpycore_pyqtproperty.o \
		qpycore_pyqtproxy.o \
		qpycore_pyqtpyobject.o \
		qpycore_pyqtsignal.o \
		qpycore_pyqtslot.o \
		qpycore_qmetaobject.o \
		qpycore_qmetaobject_helpers.o \
		qpycore_qobject_helpers.o \
		qpycore_qstring.o \
		qpycore_qstringlist.o \
		qpycore_sip_helpers.o \
		qpycore_types.o \
		qpycore_qvariant.o \
		moc_qpycore_pyqtproxy.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpycore.pro \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		w_qpycore.pro
QMAKE_TARGET  = qpycore
DESTDIR       = 
TARGET        = libqpycore.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: w_qpycore.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpycore.pro \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile w_qpycore.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
qpycore.pro:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile w_qpycore.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qpycore1.0.0 || $(MKDIR) .tmp/qpycore1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qpycore1.0.0/ && $(COPY_FILE) --parents qpycore_api.h qpycore_chimera.h qpycore_misc.h qpycore_pyqtboundsignal.h qpycore_pyqtproperty.h qpycore_pyqtproxy.h qpycore_pyqtpyobject.h qpycore_pyqtsignal.h qpycore_qobject_helpers.h qpycore_sip.h qpycore_sip_helpers.h qpycore_types.h .tmp/qpycore1.0.0/ && $(COPY_FILE) --parents qpycore_chimera.cpp qpycore_chimera_signature.cpp qpycore_chimera_storage.cpp qpycore_init.cpp qpycore_misc.cpp qpycore_post_init.cpp qpycore_pyqtboundsignal.cpp qpycore_pyqtconfigure.cpp qpycore_pyqtproperty.cpp qpycore_pyqtproxy.cpp qpycore_pyqtpyobject.cpp qpycore_pyqtsignal.cpp qpycore_pyqtslot.cpp qpycore_qmetaobject.cpp qpycore_qmetaobject_helpers.cpp qpycore_qobject_helpers.cpp qpycore_qstring.cpp qpycore_qstringlist.cpp qpycore_sip_helpers.cpp qpycore_types.cpp qpycore_qvariant.cpp .tmp/qpycore1.0.0/ && (cd `dirname .tmp/qpycore1.0.0` && $(TAR) qpycore1.0.0.tar qpycore1.0.0 && $(COMPRESS) qpycore1.0.0.tar) && $(MOVE) `dirname .tmp/qpycore1.0.0`/qpycore1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qpycore1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qpycore_pyqtproxy.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qpycore_pyqtproxy.cpp
moc_qpycore_pyqtproxy.cpp: qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_pyqtboundsignal.h \
		qpycore_types.h \
		qpycore_pyqtproperty.h \
		qpycore_pyqtproxy.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpycore_pyqtproxy.h -o moc_qpycore_pyqtproxy.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qpycore_chimera.o: qpycore_chimera.cpp qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_misc.h \
		qpycore_shared.h \
		qpycore_pyqtpyobject.h \
		qpycore_types.h \
		qpycore_pyqtproperty.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_chimera.o qpycore_chimera.cpp

qpycore_chimera_signature.o: qpycore_chimera_signature.cpp qpycore_chimera.h \
		qpycore_sip.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_chimera_signature.o qpycore_chimera_signature.cpp

qpycore_chimera_storage.o: qpycore_chimera_storage.cpp qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_pyqtpyobject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_chimera_storage.o qpycore_chimera_storage.cpp

qpycore_init.o: qpycore_init.cpp qpycore_qobject_helpers.h \
		qpycore_sip.h \
		qpycore_shared.h \
		qpycore_types.h \
		qpycore_chimera.h \
		qpycore_pyqtproperty.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_init.o qpycore_init.cpp

qpycore_misc.o: qpycore_misc.cpp qpycore_misc.h \
		qpycore_shared.h \
		qpycore_sip.h \
		qpycore_types.h \
		qpycore_chimera.h \
		qpycore_pyqtproperty.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_misc.o qpycore_misc.cpp

qpycore_post_init.o: qpycore_post_init.cpp qpycore_pyqtboundsignal.h \
		qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_pyqtproperty.h \
		qpycore_pyqtproxy.h \
		qpycore_types.h \
		qpycore_pyqtpyobject.h \
		qpycore_pyqtsignal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_post_init.o qpycore_post_init.cpp

qpycore_pyqtboundsignal.o: qpycore_pyqtboundsignal.cpp qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_misc.h \
		qpycore_shared.h \
		qpycore_pyqtboundsignal.h \
		qpycore_pyqtproxy.h \
		qpycore_types.h \
		qpycore_pyqtproperty.h \
		qpycore_pyqtsignal.h \

=== qpy/QtDesigner/Makefile ===
#############################################################################
# Makefile for building: libqpydesigner.a
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 20 23:34:58 2009
# Project:  w_qpydesigner.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile w_qpydesigner.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_STATICPLUGIN -DQT_PLUGIN -DQT_SCRIPT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQDESIGNER_EXPORT_WIDGETS -DQT_SHARED
CFLAGS        = -pipe -O2 -O3 -fPIC -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -O2 -O3 -fPIC -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtDesigner -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4/QtXml -I/targets/FREMANTLE_X86/usr/include/qt4/QtScript -I/targets/FREMANTLE_X86/usr/include/qt4 -I/targets/FREMANTLE_X86/usr/include/python2.5 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       =  moc_qpydesignercontainerextension.cpp \
		moc_qpydesignercustomwidgetcollectionplugin.cpp \
		moc_qpydesignercustomwidgetplugin.cpp \
		moc_qpydesignermembersheetextension.cpp \
		moc_qpydesignerpropertysheetextension.cpp \
		moc_qpydesignertaskmenuextension.cpp
OBJECTS       = moc_qpydesignercontainerextension.o \
		moc_qpydesignercustomwidgetcollectionplugin.o \
		moc_qpydesignercustomwidgetplugin.o \
		moc_qpydesignermembersheetextension.o \
		moc_qpydesignerpropertysheetextension.o \
		moc_qpydesignertaskmenuextension.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpydesigner.pro \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		w_qpydesigner.pro
QMAKE_TARGET  = qpydesigner
DESTDIR       = 
TARGET        = libqpydesigner.a
TARGETD       = libqpydesigner.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: w_qpydesigner.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpydesigner.pro \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDesigner.prl
	$(QMAKE) -unix -o Makefile w_qpydesigner.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
qpydesigner.pro:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/designer.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtScript.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDesigner.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile w_qpydesigner.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qpydesigner1.0.0 || $(MKDIR) .tmp/qpydesigner1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qpydesigner1.0.0/ && $(COPY_FILE) --parents qpydesignercontainerextension.h qpydesignercustomwidgetcollectionplugin.h qpydesignercustomwidgetplugin.h qpydesignermembersheetextension.h qpydesignerpropertysheetextension.h qpydesignertaskmenuextension.h .tmp/qpydesigner1.0.0/ && (cd `dirname .tmp/qpydesigner1.0.0` && $(TAR) qpydesigner1.0.0.tar qpydesigner1.0.0 && $(COMPRESS) qpydesigner1.0.0.tar) && $(MOVE) `dirname .tmp/qpydesigner1.0.0`/qpydesigner1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qpydesigner1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qpydesignercontainerextension.cpp moc_qpydesignercustomwidgetcollectionplugin.cpp moc_qpydesignercustomwidgetplugin.cpp moc_qpydesignermembersheetextension.cpp moc_qpydesignerpropertysheetextension.cpp moc_qpydesignertaskmenuextension.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qpydesignercontainerextension.cpp moc_qpydesignercustomwidgetcollectionplugin.cpp moc_qpydesignercustomwidgetplugin.cpp moc_qpydesignermembersheetextension.cpp moc_qpydesignerpropertysheetextension.cpp moc_qpydesignertaskmenuextension.cpp
moc_qpydesignercontainerextension.cpp: qpydesignercontainerextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignercontainerextension.h -o moc_qpydesignercontainerextension.cpp

moc_qpydesignercustomwidgetcollectionplugin.cpp: qpydesignercustomwidgetcollectionplugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignercustomwidgetcollectionplugin.h -o moc_qpydesignercustomwidgetcollectionplugin.cpp

moc_qpydesignercustomwidgetplugin.cpp: qpydesignercustomwidgetplugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignercustomwidgetplugin.h -o moc_qpydesignercustomwidgetplugin.cpp

moc_qpydesignermembersheetextension.cpp: qpydesignermembersheetextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignermembersheetextension.h -o moc_qpydesignermembersheetextension.cpp

moc_qpydesignerpropertysheetextension.cpp: qpydesignerpropertysheetextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignerpropertysheetextension.h -o moc_qpydesignerpropertysheetextension.cpp

moc_qpydesignertaskmenuextension.cpp: qpydesignertaskmenuextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignertaskmenuextension.h -o moc_qpydesignertaskmenuextension.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

moc_qpydesignercontainerextension.o: moc_qpydesignercontainerextension.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpydesignercontainerextension.o moc_qpydesignercontainerextension.cpp

moc_qpydesignercustomwidgetcollectionplugin.o: moc_qpydesignercustomwidgetcollectionplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpydesignercustomwidgetcollectionplugin.o moc_qpydesignercustomwidgetcollectionplugin.cpp

moc_qpydesignercustomwidgetplugin.o: moc_qpydesignercustomwidgetplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpydesignercustomwidgetplugin.o moc_qpydesignercustomwidgetplugin.cpp

moc_qpydesignermembersheetextension.o: moc_qpydesignermembersheetextension.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpydesignermembersheetextension.o moc_qpydesignermembersheetextension.cpp

=== qpy/QtGui/Makefile ===
#############################################################################
# Makefile for building: libqpygui.a
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 20 23:34:58 2009
# Project:  w_qpygui.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile w_qpygui.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -O3 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -O2 -O3 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4 -I/targets/FREMANTLE_X86/usr/include/python2.5 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       =  moc_qpytextobject.cpp
OBJECTS       = moc_qpytextobject.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpygui.pro \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		w_qpygui.pro
QMAKE_TARGET  = qpygui
DESTDIR       = 
TARGET        = libqpygui.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: w_qpygui.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpygui.pro \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile w_qpygui.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
qpygui.pro:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile w_qpygui.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qpygui1.0.0 || $(MKDIR) .tmp/qpygui1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qpygui1.0.0/ && $(COPY_FILE) --parents qpytextobject.h .tmp/qpygui1.0.0/ && (cd `dirname .tmp/qpygui1.0.0` && $(TAR) qpygui1.0.0.tar qpygui1.0.0 && $(COMPRESS) qpygui1.0.0.tar) && $(MOVE) `dirname .tmp/qpygui1.0.0`/qpygui1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qpygui1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qpytextobject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qpytextobject.cpp
moc_qpytextobject.cpp: qpytextobject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpytextobject.h -o moc_qpytextobject.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

moc_qpytextobject.o: moc_qpytextobject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpytextobject.o moc_qpytextobject.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
python-qt4 (4.6.2-maemo20091218.1) unstable; urgency=low

  * phonon/webkit REALLY fixed
  * unified fremantle/diablo build
  * brought up to date with trunk (which is now Qt 4.6 capable)

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 30 Nov 2009 12:10:22 +0100

=== debian/control ===
Source: python-qt4
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), dpatch, libqt4-dev (>= 4.5.0), libqt4-phonon (>= 4.5.0), sip4 (>= 4.10),  python2.5-sip4 (>= 4.10),  python2.5-sip4-dev (>= 4.10),  python2.5-dev (>= 2.5.1), python-dbus | maemo-version-dev (<< 5.0), python2.5-dbus | maemo-version-dev (>= 5.0), libdbus-1-dev (>= 1.0.2), libxext-dev, zlib1g-dev, libexpat1-dev, libqt4-phonon-dev (>= 4.5.0) | maemo-version-dev (>= 5.0)
Standards-Version: 3.7.2
Section: libs

Package: python2.5-qt4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-qt4-assistant (= ${binary:Version}), python2.5-qt4-core (= ${binary:Version}), python2.5-qt4-dbus (= ${binary:Version}), python2.5-qt4-designer (= ${binary:Version}), python2.5-qt4-gui (= ${binary:Version}), python2.5-qt4-help (= ${binary:Version}), python2.5-qt4-network (= ${binary:Version}), python2.5-qt4-phonon (= ${binary:Version}), python2.5-qt4-sql (= ${binary:Version}), python2.5-qt4-svg (= ${binary:Version}), python2.5-qt4-script (= ${binary:Version}), python2.5-qt4-test (= ${binary:Version}), python2.5-qt4-webkit (= ${binary:Version})
Replaces: python-qt4
Description: Python bindings for Qt4
 This package contains the python extensions and modules.

Package: python2.5-qt4-common
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-sip4 (>= 4.10)
Replaces: python-qt4
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4
 and python-qt4-dev.

Package: python2.5-qt4-dev
Section: libdevel
Architecture: any
Depends: python2.5-sip4-dev (>= 4.10), python2.5-qt4-common
Replaces: python-qt4-dev
Description: Development files for PyQt4
 This package contains the source SIP files from which the Python.
 bindings for Qt4 are created. They are needed for building PyQt4
 as well as creating bindings for own Qt4 widgets written in C++.

Package: python2.5-qt4-dev-tools
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-qt4
Replaces: python-qt4
Description: Python Qt4 development tools.
 This package contains the python extensions and modules.

Package: python2.5-qt4-assistant
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-assistant | libqt4-assistant (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-core
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-core | libqt4-core (>= 4.5.0), python2.5-qt4-common (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-dbus
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python-dbus (>= 0.80.0)| maemo-version-dev (<< 5.0), python2.5-dbus | maemo-version-dev (>= 5.0)
Description: Python bindings for Qt dbus mainloop.
 This package contains the python extensions and modules.

Package: python2.5-qt4-designer
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-designer | libqt4-designer (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-gui
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-gui | libqt4-gui (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-help
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-help | libqt4-help (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-network
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-network | libqt4-network (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-phonon
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-phonon | libqt4-phonon (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-sql
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-sql | libqt4-sql (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Replaces: python-qt4
Description: Python bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for
 SQL database access.

Package: python2.5-qt4-svg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-svg | libqt4-svg (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-script
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-script | libqt4-script (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-test
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-test | libqt4-test (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-webkit
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-webkit | libqt4-webkit (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-xml
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-xml | libqt4-xml (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.
